using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ColumnWidthsAndWrapping : System.Web.UI.Page 
{
    private DataTable BuildDataSource()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("FirstName", typeof(string));
        dt.Columns.Add("LastName", typeof(string));
        dt.Columns.Add("Age", typeof(int));
        
        DataRow dr;
        
        dr = dt.NewRow();
        dr["FirstName"] = "John the first";
        dr["LastName"] = "Doe";
        dr["Age"] = 23;
        dt.Rows.Add(dr);

        dr = dt.NewRow();
        dr["FirstName"] = "Clark";
        dr["LastName"] = "Kent";
        dr["Age"] = 28;
        dt.Rows.Add(dr);

        return dt;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        GridView1.DataSource = BuildDataSource();
        GridView1.DataBind();       
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        string formatScript = "";
        formatScript += string.Format("formatGrid('{0}');setNoWrap('{0}', true, true);", GridView1.ClientID);        
        ClientScript.RegisterStartupScript
            (this.GetType(), "format", formatScript, true);
    }    
}
